%define module Gtk2-MozEmbed
%define fmodule MozEmbed

Summary: Perl module for the Gecko engine
Name:    perl-%module
Version: 0.01
Release: 2mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  http://prdownloads.sourceforge.net/gtk2-perl/%module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: gtkhtml2-devel => 2.4, perl-devel perl-ExtUtils-Depends perl-Gtk2
Requires: perl-Gtk2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package adds perl support for the Gecko engine.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*

%changelog
* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.01-2mdk
- Rebuild for new perl

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-1mdk
- new release

* Mon Aug 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.00-0.1mdk
- initial release
